Ir al contenido

Registrar un nuevo servidor MCP remoto con credenciales cifradas AES-256-GCM

POST
/admin/developer/mcp-servers
curl --request POST \
--url https://api.matiasimpulso.com/admin/developer/mcp-servers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "slug": "example", "description": "example", "endpointUrl": "https://example.com", "transport": "streamable_http", "authType": "none", "authHeaderName": "example", "authSecret": "example", "enabledToolNames": [ "example" ], "effectToolNames": [ "example" ], "assignedAgentIds": [ 1 ], "timeoutMs": 1 }'
Media type application/json
object
name
required
string
>= 3 characters <= 120 characters
slug
required
string
/^[a-z][a-z0-9_]{1,30}$/
description
string
<= 500 characters
endpointUrl
required
string format: uri
<= 500 characters
transport
string
Allowed values: streamable_http sse
authType
string
Allowed values: none bearer api_key_header
authHeaderName
string
<= 80 characters
authSecret
string
<= 1024 characters
enabledToolNames
Array<string>
<= 100 items
effectToolNames
Array<string>
<= 100 items
assignedAgentIds
Array<number>
<= 100 items
timeoutMs
number
>= 1000 <= 30000
Media type application/json
object

Example generated

{}